Bug 35652 - bsd.README seriously obsolete
Summary: bsd.README seriously obsolete
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-07 22:30 UTC by Gary W. Swearingen
Modified: 2017-12-31 22:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary W. Swearingen 2002-03-07 22:30:01 UTC
From "/usr/share/mk/bsd.README":
    XXX This document is seriously out of date, it is currenly being
    revised.

But there is no indication of who is revising it and I find no PR for
it.

================

Fix: 

-- Most of the file's (long-form) descriptions should probably be moved
into the files which are described.

-- Determine which (long-form) descriptions are missing and add them.

-- Add these missing entries to the list of similar entries:

bsd.cpu.mk              - sets CPU/arch-related variables
bsd.docb.mk             - handles installing SGML/docbook documents
bsd.port.post.mk        - building ports [tbd: needs more info]
bsd.port.pre.mk         - building ports [tbd: needs more info]
bsd.sys.mk              - common settings used for building FreeBSD sources
sys.mk                  - default rules for all makes
How-To-Repeat: n/a
================
Comment 1 Tom Rhodes freebsd_committer 2002-07-16 16:01:07 UTC
State Changed
From-To: open->closed

ru has just done a nice cleapup of these files, and removed the docb.mk along 
with sgml.mk
Comment 2 Tom Hukins freebsd_committer 2003-01-24 16:23:50 UTC
State Changed
From-To: closed->open

The document (/usr/share/mk/bsd.README) still describes itself as 
"seriously out of date".
Comment 3 Tom Rhodes freebsd_committer 2003-05-07 01:42:08 UTC
Responsible Changed
From-To: freebsd-doc->trhodes

I'll work on this too.
Comment 4 Sevan Janiyan 2014-05-30 23:04:58 UTC
Aside from point one, "Most of the file's (long-form) descriptions 
should probably be moved into the files which are described."
Everything was cleared up at r115103 right?
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:14 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped